Subject: Re: therm_pm72 units, interface

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 17 Aug 2012 06:51:57 +1000

> If you have more things to print/offer via sysfs, I'm all for it.
> 
> The XsG5 really has (by looking into the casing): 1 PCI Fan,
> 6 center fans, 1 PSU intake and 1 PSU outblow fan (this last one
> seems rather slow-turning, but maybe that's normal).
> It is not quite clear which is which in the sysfs display.

The cpu intake & exhaust are the same, they are handled by groups of 3
ie, cpu0_* is the 3 fans on CPU 0, cpu1_* is the 3 fans on CPU 1.

Backside fan is supposed to blow on the U3 chip, I don't remember where
it's located, and slots fan is the PCI one afaik. The PSU's own fan
isn't under our direct control

> What I did figure out: at the PROM, fans run at what seems
> to be full speed (some 8000-9000 rpm?). Once Linux and therm_pm72
> are loaded, the fans settle down towards 4000 rpm, and if the machine
> has warmed up, that is then when it powers off. (The kernel is indeed
> 3.4. I now need to figure out how to place a new kernel on it without
> it powering off inbetween.)

You can try netbooting... OF netboot is limited to 4M sized zImages
which can be a bit tough nowadays, but modern yaboot can netboot larger
files. Another option is USB sticks.

> >> $ cd /sys/devices/temperature; grep '' *;
> >> backside_fan_pwm:32
> >> backside_temperature:54.000
> >> cpu0_current:34.423
> >> cpu0_exhaust_fan_rpm:5340
> >> cpu0_intake_fan_rpm:5340
> >> cpu0_temperature:72.889
> >> cpu0_voltage:1.252
> >> cpu1_current:34.179
> >> cpu1_exhaust_fan_rpm:4584
> >> cpu1_intake_fan_rpm:4584
> >> cpu1_temperature:68.526
> >> cpu1_voltage:1.259
> >> dimms_temperature:53.000
> >> grep: driver: Er en filkatalog
> >> modalias:platform:temperature
> >> grep: power: Er en filkatalog
> >> slots_fan_pwm:20
> >> slots_temperature:38.500
> >> grep: subsystem: Er en filkatalog
> >> uevent:DRIVER=temperature
> >> uevent:OF_NAME=fan
> >> uevent:OF_FULLNAME=/u3@0,f8000000/i2c@f8001000/fan@15e
> >> uevent:OF_TYPE=fcu
> >> uevent:OF_COMPATIBLE_0=fcu
> >> uevent:OF_COMPATIBLE_N=1
> >> uevent:MODALIAS=of:NfanTfcuCfcu

Cheers,
Ben.